Skip to content
Navigation

Sends a revocation's failed Stripe refund again.

POST
https://api.sherpo.io/merchant/v1/stores/{store}/revocations/{revocation}/refund/retry

Authorization

  • bearer
    HTTP
    required

Path parameters

  • store
    string
    required

    The store's id.

  • revocation
    string
    required
    minLength: 1

Header parameters

  • Idempotency-Key
    optional
    string

    Repeats within 24 hours answer the first result; the same key with other arguments is a conflict.

    maxLength: 255 · minLength: 1 · pattern: ^[\x21-\x7E]+$

Request body JSON optional

Returns

200

Sends a revocation's failed Stripe refund again.

JSON
  • id
    string
    required
  • customer_id
    string
    required
  • order_id
    required

    One of the following:

    • string
    • null
  • grant_id
    required

    One of the following:

    • string
    • null
  • product_ids
    array of
    string
    required
  • cause
    string
    required
  • note
    required

    One of the following:

    • string
    • null
  • message
    required

    One of the following:

    • string
    • null
  • refund
    required

    One of the following:

    • object
    • null
  • revoked_by
    required

    One of the following:

    • string
    • null
  • token_id
    required

    One of the following:

    • string
    • null
  • created_at
    required

    One of the following:

    • string
    • null
JSON
  • type
    string
    required
    format: uri
  • title
    string
    required
  • status
    integer
    required
  • detail
    string
    required
  • code
    optional
    string
  • context
    optional
    object
  • reached_core
    optional
    boolean
  • core_answer
    optional
    string

Type to search…

↑↓ navigate↵ selectEsc close